# Interface AbstractField

#### Hierarchy

- AbstractField

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:5

#####
Index

### Properties

attributes
fieldview?
form_name?
id?
input_type
is_fkey
label
name
pretty_type?
primary_key?
reftable_name?
required?
sourceURL?
type_name?

## Properties

### attributes

attributes: any

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:11

### `Optional` fieldview

fieldview?: string

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:10

### `Optional` form_name

form_name?: string

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:15

### `Optional` id

id?: PrimaryKeyValue

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:20

### input_type

input_type: InputType

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:8

### is_fkey

is_fkey: boolean

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:17

### label

label: string

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:6

### name

name: string

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:7

### `Optional` pretty_type

pretty_type?: string

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:19

### `Optional` primary_key

primary_key?: boolean

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:13

### `Optional` reftable_name

reftable_name?: string

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:18

### `Optional` required

required?: boolean

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:12

### `Optional` sourceURL

sourceURL?: string

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:9

### `Optional` type_name

type_name?: string

- Defined in saltcorn-types/model-abstracts/abstract_field.ts:16

Generated using TypeDoc